#include "punkt.h"

//#define _KONSOLA_WINDOWS_
#ifdef  _KONSOLA_WINDOWS_
#include<Windows.h>
#endif

punkt::punkt(int ax, int ay)
{
	x = ax;
	y = ay;

	x %= 81;
	y %= 26;
	if (x < 0) x += 80;
	if (y < 0) y += 25;
	if (x == 0) x = 1;
	if (y == 0) y = 1;
}

void punkt::rysuj() const
{
	system("cls");
#ifdef _KONSOLA_WINDOWS_
	COORD poz;
	poz.X = x - 1;
	poz.Y = y - 1;
	SetConsoleCursorPosition(GetStdHandle(STD_OUTPUT_HANDLE), poz);
	cout << '*' << flush;
#else
	int i;
	for (i = 1; i < y; ++i) cout << '\n';
	for (i = 1; i < x; ++i) cout << ' ';
	cout << '*' << flush;
#endif
}

void punkt::przesun(int dx, int dy)
{
	x += dx;
	y += dy;
	x %= 80;
	y %= 25;
	if (x <= 0) x += 80;
	if (y <= 0) y += 25;
}
